Package org.eclipse.ecf.core.sharedobject.model

## Interface ISharedModelPropertyValueChangeEvent

All Superinterfaces:
  `ISharedModelEvent`

    public interface ISharedModelPropertyValueChangeEvent
    extends ISharedModelEvent

Since:
  2.4

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getPreviousValue()`
`SharedModel.Property` `getProperty()`
`Object` `getValue()`

### Methods inherited from interface org.eclipse.ecf.core.sharedobject.model.ISharedModelEvent

`getSource`

### Method Detail

#### getProperty

    SharedModel.Property getProperty()

#### getPreviousValue

    Object getPreviousValue()

#### getValue

    Object getValue()